#!/bin/sh
# deploy bootstrapped repositories to system

modules=$(awk -F' = ' '/path/ {print $2}' .gitmodules)

mkdir -p "$HOME/git"
for i in $modules; do
	ln -sf "$(pwd)/$i" "$HOME/git/"
done

if [ -f /etc/arch-release ]; then
	pacman_packages=$(cat depends.pacman | tr '\n' ' ')
	sudo pacman -Syu $pacman_packages
fi

pip_packages=$(cat depends.pip | tr '\n' ' ')
pip install $pip_packages

exit

cd dot
make
echo "### WARNING: you need to install environment hooks and firefox setup later. please do that. ###"
cd ..

cd pash
make install
cd ..

cd privdata
mkdir -p $HOME/.local/share/gnupg
chown -R $(whoami) $HOME/.local/share/gnupg
chmod 600 $HOME/.local/share/gnupg/*
chmod 700 $HOME/.local/share/gnupg/*
sh handler.sh unarch
cd output
make
sudo make install
cd ../..

cd st
make
make install
cd ..

cd sx
make install
cd ..

cd utils
make
make install
cd ..

cd wallpapers
make install
cd ..
